import { type Request, type Response, type NextFunction } from "express";

interface Description {
  route: `/` | `/${string}`
  middleware?: Function[]
  desc?: string
}

interface Run {
  (req: Request, res: Response, next: NextFunction): void
}

export interface Route {
  description: Description
  run: Run | Run[]
}